function [ vd ] = dummyOut( v )
% dummyOut Create a matrix of binary dummies to represent a categorical
%   variable.
%
% INPUT:
%   v    - categorical variable
% 
% OUTPUT:
%   vd - matrix of dummies, one for each category.
n    = size(v,1);
cats = sort(unique(v))';
vd   = v(:,ones(1,length(cats))) == cats(ones(n,1),:);

end

