function [ states ] = genStateSpace( dareg, daplt, dpol )
%genStateSpace Create matrix of all possible states
% 
% INPUT:
%   dareg  : number of possible regulator actions
%   daplot : number of possible plant actions
%   dpol   : number of possible pollutant bins
%
% OUTPUT:
%   states : dareg X daplot X dplot matrix of all possible states

S = dareg * daplt * dpol;

areg = dummyOut([1:dareg]');
aplt = dummyOut([1:daplt]');
apol = dummyOut([1:dpol]');

states = zeros(S,dareg+daplt+dpol);
i = 1;
for ir = 1:dareg
    for ip = 1:daplt
        for il = 1:dpol
            states(i,:) = [ areg(ir,:) aplt(ip,:) apol(il,:) ];
            i = i + 1;
        end
    end
end
   
end

