function [ pT ] = tabStateTransition( i, si, sif, S )
% tabStateTransition Tabulate state transitions
% 
% INPUT:
%   i   - subset of states to tabulate transition for
%   si   - N X 1 vector of state indices, giving the row of S to which 
%          the current round of s belongs.
%   sif  - N X 1 vector of state indices, giving the row of S to which 
%   S - |aP| X |aR| X |pol| matrix of all possible states, in 2-D
%

siR  = si(  i );
sifR = sif( i );
[ p, ~ ] = find( S(:,end-4:end)' );
sifR( sifR==0 ) = 1;
pT = accumarray( [ p(siR) p(sifR) ], ones(size(siR)) );
% display( pT );

end
