function [ thetaUP, sigma ] = unpackThetaUP( theta )
%unpackThetaUP Unpack plant payoff parameters
%
% INPUT:
%   theta - [ thetaUP log(sigma) ] vector of parameters passed to
%   likelihood
%
% OUTPUT: 
%   thetaUP - plant payoff parameters
%   sigma   - standard deviation of action shocks

thetaUP = theta(1:end-1);
% thetaUP = exp( theta(1:end-1) ); % Likelihood searches over log theta
sigma   = exp( theta(end)     ); % Likelihood searches over log sigma

end

