function [ theta ] = changeThetaVars( theta, signs, constrain )
%changeThetaVars Change of variables of theta to constrain parameters
%   
% INPUTS:
%   theta - vector of parameters
%   signs - vector of length of theta giving 0 if parameter is unchanged, 
%           1 if parameter is constrained positive and -1 if negative
%   constrain - 1 if changing variables to impose constraint, 0 if changing
%           variables back to original form
%
% OUTPUTS:
%   theta - vector of parameters

% Constrain parameters for optimization 
if constrain
    si        = signs ~= 0;
    theta(si) = log( signs(si) .* theta(si) );
    
% Unconstrain to show results
else
    si        = signs ~= 0;
    theta(si) = signs(si) .* exp( theta(si) );
end

end

